# author: Matteo Settenvini

// Manual: https://github.com/inkle/ink/blob/master/Documentation/WritingWithInk.md

VAR stat_assertiveness = 0
VAR stat_empathy = 0

-> disclaimer

=== disclaimer ===

This is a work of fiction. Names, characters, businesses, places, events, locales, and incidents are either the products of the author’s imagination or used in a fictitious manner. Any resemblance to actual persons, living or dead, or actual events is purely coincidental. # CLASS: disclaimer

+ [Understood] # CLEAR: -> intro

=== intro ===

The alarm clock tolls like hell's bells.

C'mon. # CLASS: strong 
Rise and shine.

I don't want to hear it! # CLASS: talker-paul

Don't you, now. # CLASS: talker-mary

* [Be nice.] 
  ~ stat_empathy++ 
  -> ending

* [Be naughty.] 
  -> ending

=== ending ===

You have reached the end.

{ print_stat("{~empathy|love}", stat_empathy) }
{ print_stat("assertiveness", stat_assertiveness) }

-> END

// ------------ HELPER functions ------------------

=== function print_stat(name, stat) ====

You {~have used|decided to employ|went to use} the power of {name} {print_num(stat)} time{stat != 1:s}.


=== function print_num(x) ===
{
    - x >= 1000:
        {print_num(x / 1000)} thousand { x mod 1000 > 0:{print_num(x mod 1000)}}
    - x >= 100:
        {print_num(x / 100)} hundred { x mod 100 > 0:and {print_num(x mod 100)}}
    - x == 0:
        zero
    - else:
        { x >= 20:
            { x / 10:
                - 2: twenty
                - 3: thirty
                - 4: forty
                - 5: fifty
                - 6: sixty
                - 7: seventy
                - 8: eighty
                - 9: ninety
            }
            { x mod 10 > 0:<>-<>}
        }
        { x < 10 || x > 20:
            { x mod 10:
                - 1: one
                - 2: two
                - 3: three
                - 4: four
                - 5: five
                - 6: six
                - 7: seven
                - 8: eight
                - 9: nine
            }
        - else:
            { x:
                - 10: ten
                - 11: eleven
                - 12: twelve
                - 13: thirteen
                - 14: fourteen
                - 15: fifteen
                - 16: sixteen
                - 17: seventeen
                - 18: eighteen
                - 19: nineteen
            }
        }
}
